curl --request GET \
--url https://api.phare.io/alert-rules/{alertRuleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/alert-rules/{alertRuleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/alert-rules/{alertRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "uptime.monitor.created",
"integration_id": 1,
"rate_limit": 5,
"id": 1,
"project_id": 1,
"event_settings": {},
"integration_settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}Get an alert rule
Get an alert rule by ID
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
1
A project header is required when using an organization-scoped API key.
"luminous-guiding-tower"
Path Parameters
ID of the alert rule to show
Response
Success, alert rule retrieved
uptime.monitor.created, uptime.monitor.deleted, uptime.monitor_certificate.discovered, uptime.monitor_certificate.expiring, uptime.incident.created, uptime.incident.propagated, uptime.incident.partially_recovered, uptime.incident.recovered, uptime.incident_comment.created, uptime.incident_update.published, uptime.maintenance_window.in_progress, uptime.maintenance_window.completed, uptime.maintenance_window.cancelled The ID of the integration used to send a notification when the alert rule is executed
1
Minimum time in minutes between two executions of the alert rule, used to minimized the number of alert received.
0, 5, 10, 30, 60, 180, 720, 1440 5
1
The ID of a project to use as a scope
1
Additional settings for the event
- Empty
- Uptime incident
- Uptime certificate expiring
Additional settings for the integration
- Empty
- Ntfy
- Outgoing Webhooks
- Pushover
Date of creation for the entity
Date of last update for the entity
Was this page helpful?